Criar lista de dados
curl --request POST \
--url http://api.gu1.ai/data-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"source": "<string>",
"config": {},
"fieldMappings": {},
"priority": 123,
"isGlobal": true
}
'import requests
url = "http://api.gu1.ai/data-lists"
payload = {
"name": "<string>",
"type": "<string>",
"description": "<string>",
"source": "<string>",
"config": {},
"fieldMappings": {},
"priority": 123,
"isGlobal": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
description: '<string>',
source: '<string>',
config: {},
fieldMappings: {},
priority: 123,
isGlobal: true
})
};
fetch('http://api.gu1.ai/data-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Referência API
Criar lista de dados
Cria uma lista própria do tenant com nome, tipo, fonte e configuração opcional para uso em regras e verificações — POST /data-lists.
POST
/
data-lists
Criar lista de dados
Visão geral
Cria uma nova data list para a organização. Usetype: "custom" para uma lista genérica referenciada por UUID nas regras.
Endpoint
POST https://api.gu1.ai/data-lists
Autenticação
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Corpo da solicitação
string
required
Nome de exibição (1–200 caracteres). Aparece no dashboard (catálogo, seletores, cabeçalhos) para identificar a lista; não altera como as regras avaliam itens.
string
required
List type enum, including
custom, company_blocklist, document_blocklist, keyword_list, ip_blocklist, and others supported by the platform.string
Descrição opcional (máx. 1000 caracteres). Use como contexto interno (responsável, política de atualização, caso de uso); visível onde o produto mostra o detalhe da lista. Não é usada pelo motor de correspondência.
string
required
Origin of data, e.g.
manual_entry, api_integration, custom_upload, internal, etc.object
Optional:
autoSync, syncFrequency, externalUrl, apiKey, visibleItemDataColumns, etc.object
Optional string-to-string map for ingestion mappings.
number
default:"50"
Priority 1–100.
boolean
Reserved for platform use; tenant clients normally omit or set
false.Example
{
"name": "High-risk merchants",
"description": "Internal blocklist for KYB rules",
"type": "custom",
"source": "api_integration"
}
Resposta
201 with success, data (includes list id), and timing metadata on success.Was this page helpful?